LogServiceImpl (SLF4J 1.7.4 API)
Date: 2013-03-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.slf4j.osgi.logservice.impl
Class LogServiceImpl

    java.lang.Object
      org.slf4j.osgi.logservice.impl.LogServiceImpl

All Implemented Interfaces:
  org.osgi.service.log.LogService

    public class LogServiceImpl

extends Object
implements org.osgi.service.log.LogService

`LogServiceImpl` is a simple OSGi LogService implementation that delegates to a slf4j Logger.

Author:
  John Conlon, Matt Bishop

Field Summary

Fields inherited from interface org.osgi.service.log.LogService
`LOG_DEBUG, LOG_ERROR, LOG_INFO, LOG_WARNING`

Constructor Summary
`LogServiceImpl(org.osgi.framework.Bundle bundle)` Creates a new instance of LogServiceImpl.

Method Summary
`void` | `log(int level, String message)`
`void` | `log(int level, String message, Throwable exception)`
`void` | `log(org.osgi.framework.ServiceReference sr, int level, String message)`
`void` | `log(org.osgi.framework.ServiceReference sr, int level, String message, Throwable exception)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogServiceImpl

    public LogServiceImpl(org.osgi.framework.Bundle bundle)

  Creates a new instance of LogServiceImpl.

  Parameters:
    `bundle` - The bundle to create a new LogService for.

Method Detail

### log

    public void log(int level,
                    String message)

  Specified by:
    `log` in interface `org.osgi.service.log.LogService`

### log

    public void log(int level,
                    String message,
                    Throwable exception)

  Specified by:
    `log` in interface `org.osgi.service.log.LogService`

### log

    public void log(org.osgi.framework.ServiceReference sr,
                    int level,
                    String message)

  Specified by:
    `log` in interface `org.osgi.service.log.LogService`

### log

    public void log(org.osgi.framework.ServiceReference sr,
                    int level,
                    String message,
                    Throwable exception)

  Specified by:
    `log` in interface `org.osgi.service.log.LogService`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2013 QOS.ch. All Rights Reserved.